org.richfaces.component

## Class UIRichMessages

- java.lang.Object
- - javax.faces.component.UIComponent
  - - javax.faces.component.UIComponentBase
    - - javax.faces.component.UIMessages
      - - org.richfaces.component.AbstractMessages
        - - org.richfaces.component.UIRichMessages

- All Implemented Interfaces:
    EventListener, javax.faces.component.PartialStateHolder, javax.faces.component.StateHolder, javax.faces.component.TransientStateHolder, javax.faces.event.ComponentSystemEventListener, javax.faces.event.FacesListener, javax.faces.event.SystemEventListenerHolder, org.ajax4jsf.component.AjaxOutput, ClientSideMessage
  Direct Known Subclasses:
    HtmlMessages

      @Generated(value={"RichFaces CDK","4.3.1.Final"})
      public class UIRichMessages
      extends AbstractMessages
      implements org.ajax4jsf.component.AjaxOutput, ClientSideMessage

  The <rich:messages> components works similarly to the <rich:message> component, but can display all the validation messages added for the current view instead of just a single message.

  Author:
    asmirnov@exadel.com

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `protected static class` | `UIRichMessages.Properties`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `COMPONENT_FAMILY`
    `static String` | `COMPONENT_TYPE`

    - ### Fields inherited from class javax.faces.component.UIComponent

      `ATTRS_WITH_DECLARED_DEFAULT_VALUES, BEANINFO_KEY, bindings, COMPOSITE_COMPONENT_TYPE_KEY, COMPOSITE_FACET_NAME, CURRENT_COMPONENT, CURRENT_COMPOSITE_COMPONENT, FACETS_KEY, HONOR_CURRENT_COMPONENT_ATTRIBUTES_PARAM_NAME, VIEW_LOCATION_KEY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `UIRichMessages()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getFamily()`
    `boolean` | `isAjaxRendered()`
    `boolean` | `isEscape()`
    `boolean` | `isKeepTransient()`
    `void` | `setAjaxRendered(boolean ajaxRendered)`
    `void` | `setEscape(boolean escape)`
    `void` | `setKeepTransient(boolean keepTransient)`

    - ### Methods inherited from class org.richfaces.component.AbstractMessages

      `updateMessages`

    - ### Methods inherited from class javax.faces.component.UIMessages

      `getFor, isGlobalOnly, isRedisplay, isShowDetail, isShowSummary, setFor, setGlobalOnly, setRedisplay, setShowDetail, setShowSummary`

    - ### Methods inherited from class javax.faces.component.UIComponentBase

      `addClientBehavior, addFacesListener, broadcast, clearInitialState, decode, encodeBegin, encodeChildren, encodeEnd, findComponent, getAttributes, getChildCount, getChildren, getClientBehaviors, getClientId, getDefaultEventName, getEventNames, getFacesContext, getFacesListeners, getFacet, getFacetCount, getFacets, getFacetsAndChildren, getId, getListenersForEventClass, getParent, getRenderer, getRendererType, getRendersChildren, getValueBinding, invokeOnComponent, isRendered, isTransient, markInitialState, processDecodes, processRestoreState, processSaveState, processUpdates, processValidators, queueEvent, removeFacesListener, restoreAttachedState, restoreState, saveAttachedState, saveState, setId, setParent, setRendered, setRendererType, setTransient, setValueBinding, subscribeToEvent, unsubscribeFromEvent`

    - ### Methods inherited from class javax.faces.component.UIComponent

      `encodeAll, getClientId, getCompositeComponentParent, getContainerClientId, getCurrentComponent, getCurrentCompositeComponent, getNamingContainer, getResourceBundleMap, getStateHelper, getStateHelper, getTransientStateHelper, getTransientStateHelper, getValueExpression, initialStateMarked, isCompositeComponent, isInView, isVisitable, popComponentFromEL, processEvent, pushComponentToEL, restoreTransientState, saveTransientState, setInView, setValueExpression, visitTree`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.richfaces.component.ClientSideMessage

      `getFor, updateMessages`

- - ### Field Detail

    - #### COMPONENT_TYPE

          public static final String COMPONENT_TYPE

      See Also:
        Constant Field Values

    - #### COMPONENT_FAMILY

          public static final String COMPONENT_FAMILY

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### UIRichMessages

          public UIRichMessages()

  - ### Method Detail

    - #### getFamily

          public String getFamily()

      Overrides:
        `getFamily` in class `javax.faces.component.UIMessages`

    - #### isAjaxRendered

          public boolean isAjaxRendered()

      Specified by:
        `isAjaxRendered` in interface `org.ajax4jsf.component.AjaxOutput`
      Specified by:
        `isAjaxRendered` in class `AbstractMessages`

    - #### setAjaxRendered

          public void setAjaxRendered(boolean ajaxRendered)

      Specified by:
        `setAjaxRendered` in interface `org.ajax4jsf.component.AjaxOutput`

    - #### isEscape

          public boolean isEscape()

      Specified by:
        `isEscape` in class `AbstractMessages`

    - #### setEscape

          public void setEscape(boolean escape)

    - #### isKeepTransient

          public boolean isKeepTransient()

      Specified by:
        `isKeepTransient` in interface `org.ajax4jsf.component.AjaxOutput`
      Specified by:
        `isKeepTransient` in class `AbstractMessages`

    - #### setKeepTransient

          public void setKeepTransient(boolean keepTransient)

      Specified by:
        `setKeepTransient` in interface `org.ajax4jsf.component.AjaxOutput`

Copyright © 2014 JBoss by Red Hat. All Rights Reserved.